%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% "Tax Shocks with High and Low Uncertainty" 
% Bertolotti F. and Marcellino M.
% Journal of Applied Econometrics
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Table 3 Main Text - Informatiom Criteria

% TVARSN 
tvarsn_ic_macjln=tvarsn_2s_fit(84,16,5,5,1);
tvarsn_ic_macccm=tvarsn_2s_fit(84,16,5,6,1);
tvarsn_ic_macrs=tvarsn_2s_fit(84,16,5,7,1);
tvarsn_ic_finjln=tvarsn_2s_fit(84,16,5,8,1);
tvarsn_ic_finccm=tvarsn_2s_fit(84,16,5,9,1);
tvarsn_ic_vxo=tvarsn_2s_fit(84,16,5,10,1);
tvarsn_ic_epu=tvarsn_2s_fit(84,16,5,11,1);
tvarsn_ic_ags=tvarsn_2s_fit(84,16,5,12,1);
tvarsn_ic_macjlnres=tvarsn_2s_fit(84,16,5,13,1);

Description ={'JLN Macro Unc.'; 'CCM Macro Unc.'; 'RS Macro Unc.';
              'JLN Financial Unc.'; 'CCM Financial Unc.'; 'VXO';
              'EPU'; 'A&G Switching V.'; 'JLN Macro Unc. Residuals'};
Firstrow = {'Name','TVARSN_AIC','TVARSN_BIC'};
tvarsn_ic=[tvarsn_ic_macjln'; tvarsn_ic_macccm'; tvarsn_ic_macrs'; tvarsn_ic_finjln';
    tvarsn_ic_finccm'; tvarsn_ic_vxo'; tvarsn_ic_epu'; tvarsn_ic_ags'; tvarsn_ic_macjlnres'];
T = table(Description,tvarsn_ic(:,1), tvarsn_ic(:,2),'VariableNames',Firstrow);
writetable(T,'InfoCriteria.xlsx')

