%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% "Tax Shocks with High and Low Uncertainty" 
% Bertolotti F. and Marcellino M.
% Journal of Applied Econometrics
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Macroeconomic Series

% Column: Variable: Source: Transformation
% 1: Year: : 
% 2: Quarter: : 
% 3: Date: :
% 4: # Obs.: :		
% 5: Natural Logarithm of Real GDP per capita: Favero and Giavazzi (2012, AEJ: Economic Policy) Replication Package; File NIPATable.xlsx Sheet "q4710": 
        % Log of Real GDP per capita divided by population
% 6: Natural Logarithm of Government Spending per capita: Favero and  Giavazzi (2012, AEJ: Economic Policy) Replication Package; File NIPATable.xlsx Sheet "q4710":
        % Log of Current Expenditures minus (Net) Interest Payments divided by GDP deflator and Population
% 7: Natural Logarithm of Government Revenues per capita: Favero and  Giavazzi (2012, AEJ: Economic Policy) Replication Package; File NIPATable.xlsx Sheet "q4710":
        % Log of Current Government Receipts divided by GDP deflator and Population
% 8: Cost of Debt: Favero and  Giavazzi (2012, AEJ: Economic Policy) Replication Package; File NIPATable.xlsx Sheet "q4710":
        % 100 times "(Net) Interest Payment" divided by "Federal Debt Held by the Public - Interpolated series" in the previous quarter
% 9: Inflation: Favero and  Giavazzi (2012, AEJ: Economic Policy) Replication Package; File NIPATable.xlsx Sheet "q4710":
        % 100 times Log Difference of GDP Deflator
% 10: Natural Logarithm of Real Consumption per Capita: Favero and Giavazzi (2012, AEJ: Economic Policy) Replication Package; File
        % NIPATable.xlsx Sheet "q4710" AND Mertens and Ravn (2012, AEJ:Economic Policy) Replication Package; File MertensRavnDATA_new (Sheet NOMINAL): 
        % Log of Personal Consumption Expenditure (from Mertens and Ravn (2012)) divided by GDP Defaltor and Population (from Favero and Giavazzi (2012))
% 11: Natural Logarithm of Real Investment per capita: Favero and Giavazzi (2012, AEJ: Economic Policy) Replication Package; File
        % NIPATable.xlsx Sheet "q4710" AND Mertens and Ravn (2012, AEJ:Economic Policy) Replication Package; File MertensRavnDATA_new (Sheet NOMINAL): 
        % Log of "Gross private domestic investment" (from Mertens and Ravn (2012)) divided by GDP Defaltor and Population (from Favero and Giavazzi (2012))
% 12: Saving Rate: FRED Database AND Favero and  Giavazzi (2012, AEJ: Economic Policy) Replication Package; File NIPATable.xlsx Sheet "q4710":
        % Net saving, Billions of Dollars, Quarterly, Seasonally Adjusted Annual Rate (FRED Database Series W201RC1Q027SBEA) divided by Nominal GDP (from Favero and Giavazzi (2012))
% 13: Federal Funds Rate, Quarterly Average of Effective FFR: FRED Database. Series  FEDFUNDS 
% 14: Nominalm GDP, Billions of Dollars: Favero and  Giavazzi (2012, AEJ: Economic Policy) Replication Package; File NIPATable.xlsx Sheet "q4710":

data_macro=[1947	1	1947	1	4.57782152	2.844489164	3.112398729	nan	nan	4.393716526	2.859437126	0.08039629	NaN	237.2
1947	2	1947.25	2	4.571741212	2.822443661	3.072414454	1.585987606	1.444737113	4.399333413	2.801068801	0.075020799	NaN	240.4
1947	3	1947.5	3	4.566323119	2.871250638	3.029818108	1.606180268	1.66317934	4.399753426	2.789093019	0.08001227	NaN	244.5
1947	4	1947.75	4	4.576894674	2.733228316	3.056545452	1.621424956	2.02663673	4.399684429	2.990483702	0.093668895	NaN	254.3
1948	1	1948	5	4.588221676	2.730237375	3.045570979	1.645832832	1.113864177	4.400116641	3.068043834	0.108989627	NaN	260.3
1948	2	1948.25	6	4.602118969	2.751550357	2.995497036	1.668606591	1.101593793	4.406770913	3.119275137	0.118249158	NaN	267.3
1948	3	1948.5	7	4.603127865	2.810269332	2.952076634	1.686798539	1.766308248	4.401255505	3.139991493	0.110741417	NaN	273.8
1948	4	1948.75	8	4.60028152	2.828057871	2.943127201	1.739569829	-0.020439448	4.40219151	3.113705355	0.110483461	NaN	275.1
1949	1	1949	9	4.580955829	2.880902067	2.903716745	1.789139507	-0.286591803	4.393490154	2.928470484	0.083293813	NaN	269.9
1949	2	1949.25	10	4.571973226	2.909748983	2.853323761	1.789697999	-0.637534293	4.403521318	2.744733174	0.0612284	NaN	266.2
1949	3	1949.5	11	4.577809641	2.900312514	2.8431541	1.783019024	-0.842546421	4.403266946	2.840476722	0.066670404	NaN	267.6
1949	4	1949.75	12	4.563090278	2.851355968	2.805463974	1.816013108	-0.020808046	4.411581463	2.777450938	0.04693816	NaN	265.2
1950	1	1950	13	4.599204125	3.029990805	2.939964653	1.807805612	-0.375287118	4.426716224	3.009923242	0.075377907	NaN	275.2
1950	2	1950.25	14	4.625719408	2.854572092	3.026834522	1.797282835	0.409964789	4.440230813	3.119143199	0.101648506	NaN	284.5
1950	3	1950.5	15	4.660664389	2.703056105	3.132948417	1.847563679	2.011394393	4.487369524	3.21269408	0.110934084	NaN	301.9
1950	4	1950.75	16	4.6747041	2.797581353	3.199512888	1.877041282	1.684789498	4.454044204	3.353410692	0.136603894	NaN	313.3
1951	1	1951	17	4.683319309	2.881662841	3.294129145	1.95131056	3.390155168	4.47171022	3.25620991	0.115650456	NaN	329.0
1951	2	1951.25	18	4.69592271	2.968051292	3.238565561	1.987135458	0.566865728	4.441401355	3.289209294	0.134165181	NaN	336.6
1951	3	1951.5	19	4.711741533	3.040619529	3.219989781	2.002490053	0.327059643	4.447332685	3.195050832	0.123673945	NaN	343.5
1951	4	1951.75	20	4.709551918	3.083029084	3.262259448	2.046022445	1.285004959	4.449687471	3.090409191	0.122161541	NaN	347.9
1952	1	1952	21	4.717423203	3.066748534	3.260573405	1.996839784	0.107394432	4.452573742	3.101775156	0.120820046	NaN	351.2
1952	2	1952.25	22	4.714608987	3.122229944	3.253999221	1.994891343	0.422140941	4.463972505	2.992714621	0.10165578	NaN	352.1
1952	3	1952.5	23	4.716806325	3.15833043	3.249666893	1.98584867	0.751647761	4.463392898	3.057805334	0.106845188	NaN	358.5
1952	4	1952.75	24	4.744874341	3.160414449	3.288114921	2.014236797	0.348844807	4.491649033	3.107546213	0.109184168	NaN	371.4
1953	1	1953	25	4.759658791	3.170599586	3.308010514	2.00457213	0.093234305	4.502667593	3.116805104	0.109566596	NaN	378.4
1953	2	1953.25	26	4.763410049	3.196710407	3.307602348	1.996270796	0.229606977	4.504314817	3.114155302	0.107191099	NaN	382.0
1953	3	1953.5	27	4.752555074	3.161305387	3.285222304	1.982377926	0.334158727	4.499216667	3.093939855	0.104694306	NaN	381.1
1953	4	1953.75	28	4.732025705	3.174363739	3.199561922	2.013726905	0.333045824	4.489184368	2.992998662	0.084118117	NaN	375.9
1954	1	1954	29	4.723120432	3.125349054	3.148338572	1.993446544	0.417819348	4.489387615	2.969258509	0.090386461	NaN	375.2
1954	2	1954.25	30	4.720280913	3.097886518	3.144329358	1.973164957	0.153172226	4.495575812	2.957784959	0.089132979	NaN	376.0
1954	3	1954.5	31	4.72671618	3.093718919	3.149839254	1.957873097	-0.061240739	4.501429173	3.019741538	0.088973214	1.15	380.8
1954	4	1954.75	32	4.74179841	3.099618966	3.177077025	1.947743661	0.116325357	4.51526034	3.068952168	0.096730868	1.19	389.4
1955	1	1955	33	4.766097113	3.100002489	3.227902414	1.900994584	0.390840192	4.532627769	3.165995858	0.105402385	1.44	402.6
1955	2	1955.25	34	4.778428191	3.071965428	3.247199783	1.86243112	0.547047316	4.543114888	3.215405197	0.114974446	1.65	410.9
1955	3	1955.5	35	4.787003056	3.116061153	3.259161996	1.950315707	0.724772153	4.547399353	3.230991119	0.115662852	2.24	419.4
1955	4	1955.75	36	4.787820498	3.083633692	3.271124625	1.99703298	0.659791261	4.551228939	3.273834653	0.121248826	2.48	426.0
1956	1	1956	37	4.779010276	3.064737067	3.263911428	2.011172267	0.975675537	4.543271709	3.247606719	0.124826057	2.5	428.3
1956	2	1956.25	38	4.782782831	3.099479341	3.269182433	2.108623028	0.936926803	4.539923414	3.21202402	0.124359742	2.61	434.2
1956	3	1956.5	39	4.776637793	3.062675451	3.250316169	2.16226106	1.131405316	4.535514414	3.211095456	0.12935337	3	439.2
1956	4	1956.75	40	4.787990694	3.095620426	3.275898037	2.382554684	0.601296909	4.544249503	3.182121208	0.12810087	2.99	448.1
1957	1	1957	41	4.789950289	3.134974701	3.287882372	2.268774106	1.157672394	4.544192702	3.174752672	0.124728784	2.86	457.2
1957	2	1957.25	42	4.783362684	3.138338115	3.270618726	2.361982209	0.687092791	4.541278867	3.165119138	0.121885889	3	459.2
1957	3	1957.5	43	4.788333715	3.124499479	3.258209682	2.411789844	0.777906967	4.544898041	3.17062925	0.1173006	3.5	466.4
1957	4	1957.75	44	4.773362612	3.155434427	3.212821752	2.50223717	0.532020408	4.541041739	3.040566095	0.095024919	3	461.5
1958	1	1958	45	4.742195138	3.125235532	3.154183108	2.280992992	0.845388795	4.527141658	2.958181447	0.085902181	1.07	453.9
1958	2	1958.25	46	4.74431028	3.187147372	3.14453107	2.181995183	0.431058971	4.528782529	2.91968539	0.075969432	0.61	458.0
1958	3	1958.5	47	4.763034974	3.19705383	3.180246712	2.196991365	0.247845251	4.539114937	3.022395146	0.089052364	1.91	471.7
1958	4	1958.75	48	4.781570204	3.196553119	3.221743367	2.294715189	0.109956578	4.546149093	3.127924612	0.101610309	2.46	485.0
1959	1	1959	49	4.797633932	3.149853535	3.268520354	2.598573221	0.372950578	4.563941086	3.160407723	0.107624622	2.93	495.5
1959	2	1959.25	50	4.818723495	3.173734641	3.305011241	2.384185174	0.229658894	4.576938002	3.230034685	0.117518191	3.46	508.5
1959	3	1959.5	51	4.81312975	3.166052393	3.276803758	2.542742287	0.327171893	4.585572402	3.149179832	0.10116238	3.86	509.3
1959	4	1959.75	52	4.812283326	3.1703107	3.276306338	2.689801637	0.418308365	4.583557492	3.177905673	0.104943492	4	513.2
1960	1	1960	53	4.830913421	3.139027218	3.359298329	2.917794148	0.200384589	4.588779823	3.288884844	0.125106262	3.82	527.0
1960	2	1960.25	54	4.822600389	3.15818519	3.337753383	2.937164791	0.421121452	4.598813902	3.169541779	0.111628658	2.71	526.2
1960	3	1960.5	55	4.819858222	3.168082169	3.322410738	2.745655404	0.456904066	4.589854257	3.147955704	0.111362949	2.64	529.0
1960	4	1960.75	56	4.802483377	3.196053466	3.297565047	2.707191027	0.428128664	4.586839525	2.99458213	0.100515562	1.89	523.7
1961	1	1961	57	4.804580488	3.190934754	3.292446335	2.619235667	0.12808199	4.583213573	3.021258003	0.104450758	1.61	528.0
1961	2	1961.25	58	4.819223861	3.228598433	3.308110496	2.567301405	0.191815916	4.592223994	3.090788607	0.105419295	1.18	539.0
1961	3	1961.5	59	4.830985978	3.222839783	3.320131091	2.592854094	0.260492957	4.593804849	3.167368336	0.115730664	1.96	549.5
1961	4	1961.75	60	4.846948216	3.23200052	3.350160133	2.581526596	0.259816154	4.607787899	3.18219289	0.121672592	2.86	562.6
1962	1	1962	61	4.86127904	3.261662838	3.354994777	2.654106537	0.570283518	4.613680764	3.232994943	0.119645895	2.96	576.1
1962	2	1962.25	62	4.868697236	3.271741264	3.363642626	2.718258424	0.25241915	4.623211649	3.209979632	0.11741941	2.89	583.2
1962	3	1962.5	63	4.873907019	3.27783353	3.380127045	2.821438228	0.267499045	4.627290819	3.219121018	0.118467797	2.79	590.0
1962	4	1962.75	64	4.872418162	3.288132634	3.384008478	2.887083811	0.35555593	4.636906081	3.173973729	0.117847632	3	593.3
1963	1	1963	65	4.882275627	3.296594365	3.405934681	2.833971948	0.281455414	4.640595814	3.219019639	0.120454772	2.98	602.5
1963	2	1963.25	66	4.891367171	3.290214965	3.4224648	2.90710069	0.09884251	4.647137495	3.233297603	0.124857657	2.96	611.2
1963	3	1963.5	67	4.906104523	3.29977745	3.426601231	2.986359705	0.176632598	4.659744412	3.257524901	0.122058022	3.48	623.9
1963	4	1963.75	68	4.909941531	3.310015403	3.430980533	3.060663118	0.600291598	4.661845279	3.272731487	0.125371744	3.5	633.5
1964	1	1964	69	4.929129981	3.320071268	3.412015336	3.097905429	0.360509223	4.679749963	3.299431715	0.125153941	3.46	649.6
1964	2	1964.25	70	4.937301072	3.320235501	3.372928781	3.163714509	0.338722418	4.692910975	3.291816146	0.123375323	3.5	658.9
1964	3	1964.5	71	4.947098937	3.300946604	3.388771452	3.138888145	0.490648025	4.705865279	3.30192269	0.124454884	3.39	670.5
1964	4	1964.75	72	4.946424229	3.287051481	3.396724883	3.315371893	0.457806385	4.703819785	3.314184929	0.131187093	4	675.6
1965	1	1965	73	4.968098144	3.297732706	3.440511748	3.196480827	0.425403255	4.7221427	3.40819601	0.136765847	4.02	695.7
1965	2	1965.25	74	4.978770745	3.314317839	3.449026672	3.282893833	0.443728037	4.731012499	3.401800358	0.134976698	4.13	708.1
1965	3	1965.5	75	4.995384805	3.357022603	3.427925239	3.331559055	0.436758645	4.743764892	3.427090166	0.130288196	3.71	725.2
1965	4	1965.75	76	5.016086902	3.375146815	3.446635842	3.508250108	0.614249478	4.765356778	3.435207146	0.12638796	4.63	747.5
1966	1	1966	77	5.037980856	3.399288147	3.510957832	3.455621841	0.610499476	4.779233281	3.504901796	0.132379346	4.68	770.8
1966	2	1966.25	78	5.038562084	3.434858539	3.534328853	3.642724606	0.945586952	4.777788456	3.485065161	0.128899859	5.43	779.9
1966	3	1966.5	79	5.041998735	3.454929076	3.539275951	3.715442593	0.927016787	4.784545941	3.468850414	0.124883369	4.5	793.1
1966	4	1966.75	80	5.04708681	3.478395406	3.546686277	3.849579566	0.875183886	4.784694051	3.476137219	0.127738258	5.57	806.9
1967	1	1967	81	5.053514383	3.540139031	3.545039286	3.862176543	0.489843942	4.786162549	3.442932317	0.119002201	4.25	817.8
1967	2	1967.25	82	5.05118627	3.546824761	3.544056593	3.696666346	0.611330589	4.795928163	3.390021406	0.111466618	4.07	822.3
1967	3	1967.5	83	5.05625409	3.544455972	3.556701023	3.724816407	0.910045147	4.798098577	3.416093558	0.116188769	4	837.0
1967	4	1967.75	84	5.061110184	3.559182544	3.571744692	3.854619599	1.088701509	4.799223546	3.436146213	0.119041867	4.63	852.7
1968	1	1968	85	5.079508192	3.582997826	3.615187415	3.953498312	1.076976337	4.820339648	3.455222766	0.110818368	5.39	879.8
1968	2	1968.25	86	5.093953072	3.604160616	3.630453785	4.16866857	1.111173562	4.832191141	3.485912789	0.112457693	6.14	904.1
1968	3	1968.5	87	5.097997466	3.604715614	3.682921774	4.199636731	0.958858543	4.848790888	3.44739989	0.10984771	5.7	919.3
1968	4	1968.75	88	5.099689674	3.607097104	3.69330784	4.366980041	1.378898535	4.847956197	3.4640886	0.111813715	6.25	936.2
1969	1	1969	89	5.113334158	3.579345238	3.732275662	4.433366845	1.003070858	4.856885799	3.527409889	0.115017171	6.88	960.9
1969	2	1969.25	90	5.113855323	3.597869368	3.732725752	4.614479603	1.32487132	4.860433462	3.511768275	0.110445651	8.34	976.1
1969	3	1969.5	91	5.117285047	3.600423844	3.704049754	4.761667863	1.440803724	4.86017726	3.523601441	0.111789622	9.61	996.3
1969	4	1969.75	92	5.109706279	3.603399639	3.695973133	5.025591309	1.246547625	4.864313401	3.468814292	0.102766551	8.71	1004.5
1970	1	1970	93	5.105775061	3.58157489	3.648321468	5.216353626	1.377763057	4.865862426	3.430367204	0.093068528	7.45	1017.1
1970	2	1970.25	94	5.104288627	3.642973375	3.635034725	5.234781742	1.425064105	4.863829731	3.433832539	0.09151873	7.21	1033.1
1970	3	1970.5	95	5.109680297	3.629025525	3.605495028	5.405614116	0.7848334	4.871008764	3.436717696	0.088502618	6.05	1050.5
1970	4	1970.75	96	5.095628627	3.629278885	3.584614364	5.212486494	1.260845596	4.865185628	3.373497173	0.079219151	4.82	1052.7
1971	1	1971	97	5.119850978	3.638010521	3.592430389	5.076760621	1.496307276	4.875540514	3.495688342	0.085671615	4.02	1098.1
1971	2	1971.25	98	5.122568143	3.671183393	3.591461919	4.83029025	1.328975775	4.879820004	3.522319916	0.085486235	5.07	1118.8
1971	3	1971.5	99	5.127385955	3.653768304	3.580479119	4.849250156	0.993049055	4.884438651	3.534653307	0.086583267	5.43	1139.1
1971	4	1971.75	100	5.127171985	3.665827495	3.58661226	4.742745827	0.790487318	4.896175968	3.500577922	0.087243356	4.05	1151.4
1972	1	1972	101	5.142634371	3.696712012	3.660961184	4.714124266	1.62325068	4.901449945	3.557310203	0.089920175	4.09	1190.1
1972	2	1972.25	102	5.163617095	3.725592701	3.668459807	4.742635057	0.579338601	4.917870487	3.615642251	0.087074902	4.49	1225.6
1972	3	1972.5	103	5.170512961	3.67764093	3.670417422	4.679753875	0.909541355	4.93021109	3.632084399	0.093738894	4.99	1249.3
1972	4	1972.75	104	5.184281671	3.755329575	3.690490092	4.813312246	1.164252769	4.947372659	3.645719858	0.105437587	5.34	1286.6
1973	1	1973	105	5.207479924	3.731653533	3.741128372	5.167518622	1.296977857	4.962537453	3.693260292	0.109006816	7.11	1335.1
1973	2	1973.25	106	5.216672795	3.723486525	3.73892771	5.544790232	1.654486106	4.96234729	3.730830499	0.108911411	8.59	1371.5
1973	3	1973.5	107	5.208742303	3.691713638	3.730265785	5.839601751	1.892150202	4.962575323	3.692127289	0.113414108	10.84	1390.7
1973	4	1973.75	108	5.215920141	3.687186609	3.74577083	6.062110654	1.697798065	4.960641362	3.736112652	0.12135843	9.52	1431.8
1974	1	1974	109	5.205103847	3.704317426	3.751763203	6.142949019	2.043476325	4.958758342	3.659847852	0.111626685	9.61	1446.5
1974	2	1974.25	110	5.205423702	3.726637904	3.765513353	6.321584764	2.215227352	4.965738135	3.668511095	0.097168642	11.97	1484.8
1974	3	1974.5	111	5.192871794	3.728991443	3.770347398	6.6084548	3.06620085	4.963178026	3.607502523	0.089030852	11.12	1513.7
1974	4	1974.75	112	5.186449561	3.736750199	3.725600257	6.579059793	3.040576627	4.940515081	3.616104441	0.082895415	8.45	1552.8
1975	1	1975	113	5.172255422	3.763358076	3.67712442	6.552070762	2.278509241	4.942772393	3.434689413	0.064419523	5.53	1569.4
1975	2	1975.25	114	5.177224384	3.821070474	3.533592006	6.460524573	1.445545422	4.954303529	3.408863079	0.05871838	5.72	1605.0
1975	3	1975.5	115	5.191036174	3.801221991	3.674939995	6.257664377	1.848205945	4.965630016	3.479943292	0.070960659	6.29	1662.4
1975	4	1975.75	116	5.201535591	3.803874697	3.68295616	6.401136262	1.747932836	4.972896728	3.500365388	0.073064356	5.18	1713.9
1976	1	1976	117	5.221933946	3.802488203	3.71991332	6.342754098	1.116975319	4.990482526	3.591352411	0.079058073	4.84	1771.9
1976	2	1976.25	118	5.227222653	3.795679515	3.729068941	6.264136254	1.04784753	4.995248966	3.638007705	0.079058863	5.58	1804.2
1976	3	1976.5	119	5.229460188	3.81028477	3.736919529	6.240297099	1.33169782	5.004895706	3.638700812	0.075838276	5.32	1837.7
1976	4	1976.75	120	5.234104506	3.81152235	3.73492852	6.392553414	1.697946893	5.01399152	3.64707023	0.071238525	4.66	1884.5
1977	1	1977	121	5.24337861	3.80722127	3.758910837	6.128527478	1.66688743	5.02429678	3.696882353	0.071407274	4.74	1938.5
1977	2	1977.25	122	5.260595216	3.808980395	3.779803138	6.101220443	1.586225322	5.028446636	3.761653819	0.084139737	5.43	2005.2
1977	3	1977.5	123	5.275409619	3.823564468	3.781265304	6.094367286	1.372206962	5.036277294	3.809134203	0.089807357	6.35	2066.0
1977	4	1977.75	124	5.2724181	3.830989578	3.791160161	6.342406393	1.677554635	5.045881256	3.808165149	0.087958594	6.65	2110.8
1978	1	1978	125	5.273613482	3.832740337	3.79913859	6.538078287	1.637151343	5.049623235	3.818477615	0.087895398	6.82	2149.1
1978	2	1978.25	126	5.30956786	3.827008567	3.847817447	6.59244596	1.910870112	5.069378913	3.879169455	0.096111575	7.78	2274.7
1978	3	1978.5	127	5.316298404	3.829548824	3.868916607	6.902821439	1.715622171	5.07084228	3.905464776	0.098277235	8.62	2335.2
1978	4	1978.75	128	5.326659612	3.834430936	3.888277917	7.188391974	2.016785239	5.074696665	3.928853185	0.101888245	10.25	2416.0
1979	1	1979	129	5.325808542	3.824356279	3.901777196	7.565933562	1.818773691	5.077644803	3.925545273	0.103126294	10	2463.3
1979	2	1979.25	130	5.324054824	3.818773057	3.898382643	7.851370296	2.40390581	5.077213576	3.923232468	0.097090326	10.32	2526.4
1979	3	1979.5	131	5.328076697	3.831892453	3.899857375	8.005600514	2.045173082	5.087906048	3.909544635	0.090284264	11.61	2599.7
1979	4	1979.75	132	5.327746177	3.845448402	3.898843318	8.381524293	1.959881964	5.091760994	3.89007308	0.084436339	13.49	2659.4
1980	1	1980	133	5.328284937	3.859878772	3.902069141	9.146154216	2.169662808	5.095172273	3.877048289	0.075160604	17.78	2724.1
1980	2	1980.25	134	5.304617745	3.868686525	3.871213988	9.581691648	2.208447209	5.071295737	3.780630484	0.068515029	9.08	2728.0
1980	3	1980.5	135	5.299845652	3.90766428	3.882528971	9.187578142	2.256144676	5.079571584	3.696269294	0.068023122	10.85	2785.2
1980	4	1980.75	136	5.315568774	3.909606825	3.906066372	9.380289781	2.778666447	5.086860756	3.781588695	0.077415017	18.45	2915.3
1981	1	1981	137	5.334206263	3.899765372	3.952004071	10.94500841	2.593567276	5.088911693	3.876767781	0.079410107	13.48	3051.4
1981	2	1981.25	138	5.323858751	3.899163128	3.947507398	11.05988366	1.768372014	5.085448513	3.835747381	0.077482087	19.2	3084.3
1981	3	1981.5	139	5.333090166	3.909456634	3.951768775	11.52574964	1.821084031	5.084679613	3.887103743	0.08849638	15	3177.0
1981	4	1981.75	140	5.318061505	3.913143228	3.918125959	12.01681236	1.728911408	5.072399095	3.849270507	0.082661283	12.54	3194.7
1982	1	1982	141	5.299439992	3.915595331	3.891420616	12.0034226	1.39867595	5.075359362	3.732640863	0.067506672	14.99	3184.9
1982	2	1982.25	142	5.302588552	3.914373263	3.8871607	11.9919689	1.23249837	5.073839676	3.726197237	0.070393409	14.81	3240.9
1982	3	1982.5	143	5.29610511	3.932940628	3.853287194	12.0535558	1.378710733	5.080665992	3.705832938	0.057377535	10.12	3274.4
1982	4	1982.75	144	5.294492941	3.973953624	3.845854097	11.47970412	1.055799291	5.096783587	3.602254402	0.037566792	8.79	3312.5
1983	1	1983	145	5.3049176	3.966061773	3.846532447	10.95117666	0.8517894	5.104646813	3.619770802	0.041203194	8.88	3381.0
1983	2	1983.25	146	5.324983478	3.981938045	3.877364148	10.78300377	0.727861281	5.124073856	3.698182891	0.040731434	8.9	3482.2
1983	3	1983.5	147	5.342018031	3.974705508	3.854502419	10.86559894	1.014673649	5.142034387	3.748968818	0.038177915	9.04	3587.1
1983	4	1983.75	148	5.36021275	3.952579409	3.871767067	10.74963766	0.720472883	5.154956312	3.842998065	0.053725767	8.96	3688.1
1984	1	1984	149	5.377538854	3.962822763	3.907974153	10.8629654	1.234510004	5.160015881	3.931065259	0.071490518	9.97	3807.4
1984	2	1984.25	150	5.392603063	3.977391828	3.915086043	10.77579539	0.897954903	5.17285326	3.955194104	0.072216164	11.27	3906.3
1984	3	1984.5	151	5.399748479	3.972027592	3.913576031	11.21909978	0.81346755	5.177640131	3.969244474	0.074172787	10.73	3976.0
1984	4	1984.75	152	5.405498688	3.990305115	3.925895468	11.22577307	0.588837051	5.188720554	3.948725648	0.07029995	7.95	4034.0
1985	1	1985	153	5.413147816	3.996591344	3.983357915	10.92999123	1.13631046	5.202988208	3.902418174	0.064603857	8.38	4117.2
1985	2	1985.25	154	5.419308227	4.002020684	3.928632437	10.84604405	0.512119069	5.212114738	3.916063855	0.060526858	7.46	4175.7
1985	3	1985.5	155	5.432191943	4.013808384	3.970652415	10.32011041	0.473896078	5.229913464	3.89761566	0.05184158	7.96	4258.3
1985	4	1985.75	156	5.437321756	4.018768185	3.971908757	10.16065322	0.611760917	5.231412068	3.9360848	0.051813972	8.02	4318.7
1986	1	1986	157	5.445005901	4.0218059	3.978174613	9.889523698	0.505623113	5.239980182	3.931244055	0.051870208	7.25	4382.4
1986	2	1986.25	158	5.446800324	4.042095186	3.974970426	9.627247616	0.498300106	5.244041506	3.909809589	0.04320492	6.86	4423.2
1986	3	1986.5	159	5.453867975	4.057529371	3.983299097	9.148185764	0.628902926	5.259888337	3.873389218	0.032884911	5.81	4491.3
1986	4	1986.75	160	5.45639802	4.034887906	4.003684673	8.974188948	0.72089722	5.263713274	3.869610466	0.033173464	9.2	4543.3
1987	1	1987	161	5.460032516	4.030784017	3.997395235	8.829009405	0.782819629	5.26566993	3.897579475	0.040195181	6.14	4611.1
1987	2	1987.25	162	5.468423635	4.037203317	4.068080937	8.689999352	0.559859632	5.279973733	3.893190956	0.043287601	6.79	4686.7
1987	3	1987.5	163	5.474529868	4.024678715	4.04836168	8.736844287	0.784729682	5.29097968	3.885284102	0.047243152	7.56	4764.5
1987	4	1987.75	164	5.489094014	4.033164225	4.055126236	8.976560376	0.714474928	5.292424778	3.960771394	0.053396408	6.81	4883.1
1988	1	1988	165	5.492323348	4.046390567	4.064558226	8.553534068	0.800381637	5.307548906	3.901669505	0.053770561	6.62	4948.6
1988	2	1988.25	166	5.502932937	4.026691875	4.06193024	8.65028656	0.959283374	5.31392381	3.918106434	0.057580495	7.63	5059.3
1988	3	1988.5	167	5.505395392	4.017018579	4.064413765	8.666366709	1.178889394	5.319590601	3.910072788	0.059303881	8.24	5142.8
1988	4	1988.75	168	5.516261614	4.034367818	4.07563002	8.638493633	0.803786833	5.330480128	3.919886903	0.058304513	8.86	5251.0
1989	1	1989	169	5.52367321	4.034042769	4.106835148	8.942429061	1.039434308	5.333791503	3.955645851	0.060918978	9.88	5360.3
1989	2	1989.25	170	5.528758778	4.03629928	4.094945397	9.064870745	0.991255001	5.339117918	3.936671402	0.050053543	9.58	5453.6
1989	3	1989.5	171	5.533828836	4.046102069	4.097814807	8.890159641	0.675474321	5.34531153	3.918043514	0.046205787	9.02	5532.9
1989	4	1989.75	172	5.533338792	4.046405228	4.099839658	8.986985547	0.628250396	5.349151395	3.905636168	0.041378075	8.38	5581.7
1990	1	1990	173	5.541577521	4.060242729	4.092253128	9.049157659	1.206819726	5.357868712	3.905962187	0.040770134	8.26	5708.1
1990	2	1990.25	174	5.542197085	4.061074036	4.092406221	9.074543549	1.156292375	5.356978506	3.893880498	0.043589195	8.28	5797.4
1990	3	1990.5	175	5.538577724	4.051385828	4.094041004	9.205851469	0.92431819	5.360627401	3.863083117	0.03599665	8.26	5850.6
1990	4	1990.75	176	5.526289758	4.070007861	4.091924285	8.686866427	0.820272627	5.354294343	3.789285873	0.034780021	7.16	5846.0
1991	1	1991	177	5.518476741	4.011467171	4.070036106	8.872139381	1.063962696	5.344204643	3.742359898	0.047747185	6.1	5880.2
1991	2	1991.25	178	5.521907093	4.054804977	4.061765987	8.908663011	0.697702308	5.34754084	3.727245113	0.036161523	5.79	5962.0
1991	3	1991.5	179	5.522475647	4.073520447	4.058692047	8.671546879	0.754165505	5.347766302	3.742758903	0.03064985	5.29	6033.7
1991	4	1991.75	180	5.523106854	4.083667876	4.058408413	8.670632357	0.564564229	5.346259606	3.76919928	0.033243332	4.22	6092.5
1992	1	1992	181	5.531116812	4.117627301	4.059609996	8.394746826	0.564029208	5.362546903	3.731352813	0.03356664	3.94	6190.7
1992	2	1992.25	182	5.538229842	4.123878397	4.062670409	8.208395588	0.593606051	5.365967639	3.787868481	0.034926293	3.72	6295.2
1992	3	1992.5	183	5.54476348	4.130879952	4.060986193	7.970599498	0.442903501	5.37534741	3.792796007	0.025360972	3.41	6389.7
1992	4	1992.75	184	5.551885761	4.14103182	4.081951923	7.625643151	0.566765244	5.384553647	3.817308103	0.02460207	2.86	6493.6
1993	1	1993	185	5.550860263	4.13292804	4.065152995	7.528475747	0.612539553	5.38443749	3.83509685	0.022123004	3.18	6544.5
1993	2	1993.25	186	5.554115104	4.131688891	4.09542676	7.34450544	0.542201737	5.391099996	3.838292518	0.025735727	3.13	6622.7
1993	3	1993.5	187	5.555901807	4.134231324	4.093399543	7.199009147	0.469157338	5.397254217	3.831296234	0.020197659	3.05	6688.3
1993	4	1993.75	188	5.565926305	4.143505488	4.127608135	7.026273025	0.517730525	5.403234226	3.877688586	0.027775984	2.99	6813.8
1994	1	1994	189	5.573029377	4.122417117	4.117416326	6.86262136	0.549139082	5.410169269	3.915892306	0.02880225	3.49	6916.3
1994	2	1994.25	190	5.583561565	4.118828917	4.145403211	6.964700751	0.482116705	5.41499561	3.966913482	0.035493804	4.19	7044.3
1994	3	1994.5	191	5.586701799	4.125352371	4.143227572	7.049421584	0.55975552	5.422228598	3.945305642	0.034164026	4.66	7131.8
1994	4	1994.75	192	5.594777696	4.129336705	4.153134031	7.198330759	0.52683158	5.428585372	3.984241981	0.036574598	5.45	7248.2
1995	1	1995	193	5.594625193	4.130378028	4.161009196	7.344749998	0.596950153	5.426577017	3.98858771	0.040379326	6.06	7307.7
1995	2	1995.25	194	5.593850575	4.128161496	4.173889979	7.394301469	0.444770987	5.433189646	3.956892227	0.037837897	5.95	7355.8
1995	3	1995.5	195	5.598920372	4.125668012	4.171171504	7.397050494	0.423217448	5.438756393	3.94359807	0.041092117	5.8	7452.5
1995	4	1995.75	196	5.602909652	4.112921778	4.175189728	7.29976954	0.511597504	5.442007421	3.962247598	0.044551409	5.48	7542.5
1996	1	1996	197	5.607308777	4.136428901	4.192481678	7.241177388	0.539281295	5.449111319	3.965857013	0.047725511	5.22	7638.2
1996	2	1996.25	198	5.621495941	4.137839621	4.222184449	7.095744922	0.368774335	5.460224374	4.007448845	0.050300769	5.21	7800.0
1996	3	1996.5	199	5.626836233	4.128144875	4.221709285	7.091679731	0.493596302	5.462497634	4.040664785	0.052491923	5.34	7892.7
1996	4	1996.75	200	5.634578819	4.134619385	4.245231843	7.056246322	0.456509638	5.46985076	4.035568186	0.055242553	5.18	8023.0
1997	1	1997	201	5.639680011	4.131073426	4.252155057	6.986465024	0.506783019	5.47740585	4.056743718	0.059365245	5.4	8137.0
1997	2	1997.25	202	5.651455534	4.132359855	4.266692376	6.992303423	0.445038563	5.476739795	4.096964834	0.06483049	5.42	8276.8
1997	3	1997.5	203	5.660517081	4.124625648	4.282369462	7.048665971	0.279065549	5.490203654	4.112123729	0.067836122	5.45	8409.9
1997	4	1997.75	204	5.665170968	4.136111909	4.28915562	7.095252002	0.37833073	5.498424888	4.118829577	0.067560107	5.45	8505.7
1998	1	1998	205	5.672114659	4.120303768	4.304772958	7.113110725	0.149287971	5.504845433	4.156401395	0.073105016	5.43	8600.6
1998	2	1998.25	206	5.67820398	4.12463819	4.314441363	7.105740993	0.246366225	5.518902629	4.135296212	0.070773918	5.42	8698.6
1998	3	1998.5	207	5.688142986	4.121226215	4.3275	7.09162154	0.373084576	5.528516945	4.156001216	0.072248847	5.58	8847.2
1998	4	1998.75	208	5.70236659	4.136870368	4.336212151	6.950755485	0.262312815	5.541260413	4.183798456	0.066435669	4.48	9027.5
1999	1	1999	209	5.708821316	4.139095713	4.346332334	6.768918825	0.422912214	5.547558834	4.210662316	0.074441991	4.84	9148.6
1999	2	1999.25	210	5.713729221	4.134865605	4.350043212	6.775886289	0.419976668	5.561783252	4.195759004	0.066199663	4.95	9252.6
1999	3	1999.5	211	5.723137625	4.145793125	4.359732554	6.733224329	0.350363976	5.572216893	4.21352718	0.060664427	5.27	9405.1
1999	4	1999.75	212	5.738031094	4.160242334	4.377855047	6.827786283	0.40874025	5.58472865	4.239437113	0.060510528	5.01	9607.7
2000	1	2000	213	5.738178242	4.145089108	4.408521384	6.883835789	0.757933931	5.598625027	4.223076256	0.068712292	6.01	9709.5
2000	2	2000.25	214	5.754947568	4.165563337	4.407916198	6.976321482	0.507019376	5.604785875	4.285267152	0.063012433	6.53	9949.1
2000	3	2000.5	215	5.752936337	4.164695802	4.407686782	7.004790416	0.588854116	5.611567559	4.265866734	0.062449114	6.5	10017.5
2000	4	2000.75	216	5.756144417	4.172199295	4.409138502	7.014591857	0.505983679	5.618151849	4.261286528	0.053764438	6.48	10129.8
2001	1	2001	217	5.75053585	4.188583845	4.4085923	6.960353478	0.689211811	5.619926496	4.197143267	0.057737455	5	10165.1
2001	2	2001.25	218	5.754569318	4.200035199	4.392044161	6.759668996	0.693324297	5.619041657	4.18659178	0.052710435	3.91	10301.3
2001	3	2001.5	219	5.749084297	4.217934129	4.289572929	6.530383065	0.31736613	5.617687037	4.163469981	0.042894461	2.99	10305.2
2001	4	2001.75	220	5.750070884	4.223945084	4.336883319	6.200097198	0.277968702	5.628458123	4.10035768	0.032544852	1.77	10373.1
2002	1	2002	221	5.756468765	4.255362545	4.259942911	5.877198695	0.355944367	5.628472889	4.126718691	0.035189785	1.7	10498.7
2002	2	2002.25	222	5.759406967	4.269139141	4.252277314	5.904815564	0.440707153	5.634554577	4.132238332	0.034050595	1.75	10601.9
2002	3	2002.5	223	5.761784144	4.270721628	4.243927191	5.647256669	0.444191765	5.639286436	4.12657512	0.029462609	1.72	10701.7
2002	4	2002.75	224	5.759586061	4.283029076	4.23949486	5.48186135	0.589921218	5.639224407	4.124853521	0.031258208	1.23	10766.9
2003	1	2003	225	5.761555575	4.293532982	4.242581686	5.156397098	0.7223813	5.642264784	4.121685874	0.023120293	1.22	10888.4
2003	2	2003.25	226	5.767181692	4.335851121	4.245992739	4.901992644	0.297948224	5.646972724	4.120626366	0.024844887	1.21	11008.1
2003	3	2003.5	227	5.781273062	4.329617783	4.197455391	4.703689475	0.557199289	5.659206312	4.15137306	0.023085992	1	11255.7
2003	4	2003.75	228	5.787877964	4.332372688	4.241177204	4.600644893	0.538292411	5.661603525	4.187635398	0.026758551	0.96	11416.5
2004	1	2004	229	5.793003104	4.343415081	4.241366978	4.615564707	0.851730391	5.6689317	4.193543226	0.025343445	1.01	11597.2
2004	2	2004.25	230	5.797824949	4.342306505	4.253277724	4.473424892	0.850758782	5.670925563	4.236547295	0.030960827	1.11	11778.4
2004	3	2004.5	231	5.80259716	4.343362289	4.270820948	4.55720343	0.728357913	5.67576192	4.249611403	0.033774319	1.76	11950.5
2004	4	2004.75	232	5.808773047	4.347816466	4.27754452	4.527802897	0.736375821	5.685460252	4.270252444	0.02534216	2.27	12144.9
2005	1	2005	233	5.816693481	4.368897579	4.337043819	4.546347145	0.925565248	5.687606241	4.291178945	0.0322303	2.77	12379.5
2005	2	2005.25	234	5.818754148	4.362447211	4.339932025	4.878311177	0.677031529	5.694496265	4.274911986	0.030043142	3.11	12516.8
2005	3	2005.5	235	5.823714094	4.369574371	4.34816046	4.810843702	1.025444796	5.699945815	4.286065381	0.027144236	3.77	12741.6
2005	4	2005.75	236	5.826435314	4.364802391	4.36370451	5.261524147	0.834568878	5.700491796	4.324674746	0.035476014	4.22	12915.6
2006	1	2006	237	5.837353009	4.382370646	4.39830253	4.813638538	0.746378531	5.706104239	4.341201183	0.045378541	4.7	13183.5
2006	2	2006.25	238	5.83867199	4.383921779	4.398415954	5.119017149	0.886614505	5.707822019	4.336714027	0.040794438	5	13347.8
2006	3	2006.5	239	5.836220534	4.381177836	4.406179635	5.296411662	0.757465785	5.710943372	4.31847569	0.037567439	5.27	13452.9
2006	4	2006.75	240	5.840874312	4.373919169	4.409816607	4.766900805	0.45577002	5.713544951	4.290950503	0.035776733	5.24	13611.5
2007	1	2007	241	5.841614384	4.389704268	4.422077527	5.311204928	1.040264387	5.719099088	4.269806322	0.026828119	5.26	13795.6
2007	2	2007.25	242	5.847140682	4.390866827	4.420627522	5.509074783	0.661455053	5.720812321	4.276042116	0.027906296	5.25	13997.2
2007	3	2007.5	243	5.853303558	4.400207769	4.413796426	5.354930888	0.408498069	5.724561857	4.273577595	0.01709053	4.78	14179.9
2007	4	2007.75	244	5.856109078	4.407158253	4.4142278	5.080789747	0.573217762	5.731832753	4.24838605	0.009218714	4.21	14337.9
];

        