%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% "Tax Shocks with High and Low Uncertainty" 
% Bertolotti F. and Marcellino M.
% Journal of Applied Econometrics
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Switching Variable Series

% Column: Variable: Source: Transformation
% 1: Year: : 
% 2: Quarter: : 
% 3: Date: :
% 4: # Obs.: :
% 5: Jurado, Ludvigson and Ng (2015) Macroeconomic Uncertainty Index, 12-months Forecast Horizon: 
        % Ludvigson's webiste (https://www.sydneyludvigson.com/data-and-appendixes/): 3-month average taken for quarterly aggregation
% 6: Carriero, Clark and Marcellino (2018) Macroeconomic Uncertainty Index:  Author's Data Provision: 3-month average taken for quarterly aggregation  
% 7: Rossi and Sekhposyan (2015, AER) Macroeconomic Uncertainty Index: 
        % Rossi and Sekhposyan (2015, AER) data, Updated Dec. 2017. Downloaded on 23/12/2018 from http://www.tateviksekhposyan.org/: 
% 8: Jurado, Ludvigson and Ng (2015) Financial Uncertainty Index, 12-months Forecast Horizon: 
        % Ludvigson's webiste (https://www.sydneyludvigson.com/data-and-appendixes/):3-month average taken for quarterly aggregation	
% 9: Carriero, Clark and Marcellino (2018) Financial Uncertainty Index: Author's Data Provision: 3-month average taken for quarterly aggregation	
% 10: VXO, CBOE S&P 100 Volatility Index: Estimates extended to 1962 by Bloom (2009, Econometrica): 
        % Bloom (2009, Econometrica) Replication Package: 3-month average taken for quarterly aggregation
% 11: Economic Policy Uncertainty Index: Dataset downloaded on 23/12/2018 from http://www.policyuncertainty.com/us_monthly.html: 
        % 3-month average taken for quarterly aggregation	
% 12: Auerbach and Gorodnichenko (2012) Business Cycle Switching Variable (7 Quarters Moving Average of GDP growth): 
        % Auerbach and Gorodnichenko (2012, AEJPol) Replication Package: 

data_SV=[1947	1	1947	1	nan	NaN	NaN	nan	NaN	nan	132.3368	nan
1947	2	1947.25	2	nan	NaN	NaN	nan	NaN	nan	152.6325667	nan
1947	3	1947.5	3	nan	NaN	NaN	nan	NaN	nan	112.7094	nan
1947	4	1947.75	4	nan	NaN	NaN	nan	NaN	nan	113.83752	0.8576
1948	1	1948	5	nan	NaN	NaN	nan	NaN	nan	92.01272	0.7657
1948	2	1948.25	6	nan	NaN	NaN	nan	NaN	nan	76.61950333	0.5878
1948	3	1948.5	7	nan	NaN	NaN	nan	NaN	nan	86.76923667	0.5473
1948	4	1948.75	8	nan	NaN	NaN	nan	NaN	nan	88.01672667	0.4917
1949	1	1949	9	nan	NaN	NaN	nan	NaN	nan	105.0732233	0.1317
1949	2	1949.25	10	nan	NaN	NaN	nan	NaN	nan	69.581	0.4372
1949	3	1949.5	11	nan	NaN	NaN	nan	NaN	nan	77.80201	0.7888
1949	4	1949.75	12	nan	NaN	NaN	nan	NaN	nan	60.72727	1.3153
1950	1	1950	13	nan	NaN	NaN	nan	NaN	nan	73.6122	1.7642
1950	2	1950.25	14	nan	NaN	NaN	nan	NaN	nan	65.11876333	1.9959
1950	3	1950.5	15	nan	NaN	NaN	nan	NaN	nan	90.87315333	2.0715
1950	4	1950.75	16	nan	NaN	NaN	nan	NaN	nan	87.86664	2.4881
1951	1	1951	17	nan	NaN	NaN	nan	NaN	nan	91.72874	1.9463
1951	2	1951.25	18	nan	NaN	NaN	nan	NaN	nan	84.07092333	1.661
1951	3	1951.5	19	nan	NaN	NaN	nan	NaN	nan	87.99214667	1.1284
1951	4	1951.75	20	nan	NaN	NaN	nan	NaN	nan	55.16119333	0.9746
1952	1	1952	21	nan	NaN	NaN	nan	NaN	nan	70.26907667	1.2595
1952	2	1952.25	22	nan	NaN	NaN	nan	NaN	nan	76.59681	1.2893
1952	3	1952.5	23	nan	NaN	NaN	nan	NaN	nan	63.23858667	1.1151
1952	4	1952.75	24	nan	NaN	NaN	nan	NaN	nan	73.03205	1.0038
1953	1	1953	25	nan	NaN	NaN	nan	NaN	nan	71.03416	0.6329
1953	2	1953.25	26	nan	NaN	NaN	nan	NaN	nan	79.62663	0.5488
1953	3	1953.5	27	nan	NaN	NaN	nan	NaN	nan	59.57090667	0.4713
1953	4	1953.75	28	nan	NaN	NaN	nan	NaN	nan	70.70543667	0.1672
1954	1	1954	29	nan	NaN	NaN	nan	NaN	nan	85.94999667	0.1856
1954	2	1954.25	30	nan	NaN	NaN	nan	NaN	nan	57.52206	0.4836
1954	3	1954.5	31	nan	NaN	NaN	nan	NaN	nan	52.29836	0.8052
1954	4	1954.75	32	nan	NaN	NaN	nan	NaN	nan	53.61473333	1.2227
1955	1	1955	33	nan	NaN	NaN	nan	NaN	nan	68.30058	1.3706
1955	2	1955.25	34	nan	NaN	NaN	nan	NaN	nan	44.71572667	1.2873
1955	3	1955.5	35	nan	NaN	NaN	nan	NaN	nan	40.40549667	1.2391
1955	4	1955.75	36	nan	NaN	NaN	nan	NaN	nan	43.07373333	0.9379
1956	1	1956	37	nan	NaN	NaN	nan	NaN	nan	66.89487667	0.7637
1956	2	1956.25	38	nan	NaN	NaN	nan	NaN	nan	44.18642667	0.6168
1956	3	1956.5	39	nan	NaN	NaN	nan	NaN	nan	41.23932	0.3927
1956	4	1956.75	40	nan	NaN	NaN	nan	NaN	nan	55.24926	0.4502
1957	1	1957	41	nan	NaN	NaN	nan	NaN	nan	58.49518667	0.3644
1957	2	1957.25	42	nan	NaN	NaN	nan	NaN	nan	46.62600667	-0.1396
1957	3	1957.5	43	nan	NaN	NaN	nan	NaN	nan	47.01208	-0.0342
1957	4	1957.75	44	nan	NaN	NaN	nan	NaN	nan	48.00379333	0.0651
1958	1	1958	45	nan	NaN	NaN	nan	NaN	nan	58.95300333	0.3069
1958	2	1958.25	46	nan	NaN	NaN	nan	NaN	nan	60.92690333	0.6274
1958	3	1958.5	47	nan	NaN	NaN	nan	NaN	nan	44.36255	0.8468
1958	4	1958.75	48	nan	NaN	NaN	nan	NaN	nan	45.55175333	0.9808
1959	1	1959	49	nan	NaN	NaN	nan	NaN	nan	45.18474333	1.4228
1959	2	1959.25	50	nan	NaN	NaN	nan	NaN	nan	37.76339667	1.6524
1959	3	1959.5	51	nan	NaN	NaN	nan	NaN	nan	43.03845	1.2546
1959	4	1959.75	52	nan	NaN	NaN	nan	NaN	nan	39.302	0.9487
1960	1	1960	53	nan	NaN	NaN	nan	NaN	nan	51.88354	0.4782
1960	2	1960.25	54	nan	NaN	NaN	nan	NaN	nan	46.04203333	0.2065
1960	3	1960.5	55	0.851158034	1.077150193	NaN	0.977927579	0.819886712	nan	48.98954	0.4883
1960	4	1960.75	56	0.866493365	1.17526045	NaN	0.974808013	0.869125109	nan	51.86978667	0.6674
1961	1	1961	57	0.880162301	1.230662518	NaN	0.969087226	0.844915627	nan	47.78380333	0.6383
1961	2	1961.25	58	0.872986888	1.068073211	NaN	0.959250196	0.773817115	nan	44.75417	0.9592
1961	3	1961.5	59	0.864303638	0.966725789	NaN	0.956739469	0.700215665	nan	48.48891	1.0928
1961	4	1961.75	60	0.850314653	0.94880901	NaN	0.963948887	0.699265864	nan	45.82494667	1.4086
1962	1	1962	61	0.843181149	1.034113018	NaN	0.982544691	0.757620756	nan	46.70581333	1.3587
1962	2	1962.25	62	0.833841533	0.992239649	NaN	1.018136718	1.008144829	nan	53.40377667	1.2794
1962	3	1962.5	63	0.81973357	1.064751619	NaN	1.012992459	0.984778997	18.8214	70.51729667	1.2283
1962	4	1962.75	64	0.804388205	1.018239403	NaN	1.002406308	1.033160344	17.3089	55.59808667	1.2069
1963	1	1963	65	0.790585445	1.001044411	NaN	0.965500532	0.852256943	13.0333	68.83751667	1.0611
1963	2	1963.25	66	0.789290002	0.941042328	NaN	0.932733782	0.656862107	12.4389	54.39245667	1.2213
1963	3	1963.5	67	0.792706599	0.927588074	NaN	0.915555192	0.62400666	12.5119	62.18503333	1.253
1963	4	1963.75	68	0.793897264	0.936283206	NaN	0.898976493	0.645280141	17.8511	55.53106333	1.4111
1964	1	1964	69	0.792218487	0.976380538	NaN	0.886087014	0.608228089	10.4065	58.34439667	1.2652
1964	2	1964.25	70	0.79216293	0.958757195	NaN	0.880715502	0.593255199	12.3065	46.58146667	1.4339
1964	3	1964.5	71	0.807800072	0.988002683	NaN	0.884138224	0.619617095	11.778	59.30045333	1.3599
1964	4	1964.75	72	0.828923862	1.00522745	NaN	0.891800618	0.618562543	11.82	58.72483667	1.5388
1965	1	1965	73	0.81173464	0.922299577	NaN	0.907214137	0.643573312	11.3428	45.13283333	1.5622
1965	2	1965.25	74	0.803209541	0.934144309	NaN	0.92803796	0.692112642	15.6782	58.31169	1.7455
1965	3	1965.5	75	0.804913242	0.910140078	NaN	0.933141805	0.704595597	11.2588	55.68618667	1.6002
1965	4	1965.75	76	0.809356702	0.910384634	NaN	0.935822216	0.781960536	11.3713	57.42846667	1.6543
1966	1	1966	77	0.823751238	0.94703209	NaN	0.949750719	0.929946453	13.7022	68.78168333	1.4229
1966	2	1966.25	78	0.837875853	0.99319887	NaN	0.97494046	1.008017479	16.8447	51.74122333	1.3557
1966	3	1966.5	79	0.846526259	1.013208514	NaN	0.987030029	1.03406584	22.225	63.96029333	1.0717
1966	4	1966.75	80	0.850831455	1.092762724	NaN	0.987786006	1.204830833	16.9409	75.11644333	0.8446
1967	1	1967	81	0.855234786	1.044791994	NaN	0.988803025	1.077484592	14.2876	74.61018	0.6068
1967	2	1967.25	82	0.851529856	1.010917014	NaN	0.976836833	0.956903361	15.794	76.56344667	0.8507
1967	3	1967.5	83	0.858950798	0.986426469	NaN	0.972681278	0.853105047	12.1034	57.77473667	0.9976
1967	4	1967.75	84	0.866846249	0.974717599	NaN	0.974942154	0.961974277	14.256	87.72166333	0.9797
1968	1	1968	85	0.866854764	0.960744992	NaN	0.983876214	1.023624902	17.7354	116.1377433	0.9162
1968	2	1968.25	86	0.859126764	1.037472557	NaN	0.987922773	1.007480802	15.4897	85.90897667	1.1364
1968	3	1968.5	87	0.851569475	0.956401077	0.6429	0.978841031	0.871049323	13.3133	68.04837	1.0645
1968	4	1968.75	88	0.85684215	0.957878516	0.6374	0.984982277	0.823047638	12.3413	79.57016	1.0459
1969	1	1969	89	0.873054068	0.92907737	0.8407	0.996606689	0.892177266	14.7376	82.13852	0.6873
1969	2	1969.25	90	0.900573882	0.968272825	0.5769	1.012165098	0.906290042	15.8268	69.85858	0.4243
1969	3	1969.5	91	0.903181302	0.976973027	0.6209	1.026554162	1.025656398	17.5809	72.84267	0.3528
1969	4	1969.75	92	0.903788928	1.016702	0.6868	1.034014165	1.145747432	15.9201	83.08179667	0.4177
1970	1	1970	93	0.920805337	1.123804842	0.6923	1.048042265	1.297539318	16.9702	62.65149333	0.0421
1970	2	1970.25	94	0.920686847	1.061580937	0.6538	1.059781416	1.36239044	27.5315	84.33941333	0.3892
1970	3	1970.5	95	0.911484237	1.093212999	0.8791	1.038364213	1.422037954	19.5452	68.34878	0.3799
1970	4	1970.75	96	0.917915501	1.150295615	0.6648	1.019289837	1.316366228	15.2717	79.28040667	0.5608
1971	1	1971	97	0.903974681	0.980963975	0.5275	0.997960457	1.012659477	13.6996	82.90627333	0.6229
1971	2	1971.25	98	0.888912695	0.922838998	0.9835	0.985533903	0.884621192	14.5439	82.24496667	0.8502
1971	3	1971.5	99	0.886709834	0.978953257	0.7857	0.984551806	1.025485971	17.4625	110.6061733	1.0584
1971	4	1971.75	100	0.886998379	0.958956145	0.7363	0.985430349	1.057247411	17.7762	120.1533767	1.3469
1972	1	1972	101	0.88216993	0.900903442	0.9396	0.968798582	0.900518308	13.3971	89.61890333	1.1917
1972	2	1972.25	102	0.867662439	0.860893048	0.6593	0.958432698	0.879013301	14.3733	84.73991	1.4717
1972	3	1972.5	103	0.881657021	0.851905347	0.8132	0.964802586	0.995530292	14.9232	85.04545	1.5224
1972	4	1972.75	104	0.89753951	0.83591287	0.8516	0.979953088	1.000815265	14.6108	88.95968333	1.4064
1973	1	1973	105	0.930335284	0.855408387	0.8846	1.004137994	0.961323159	18.7517	115.887	1.2888
1973	2	1973.25	106	0.966326795	0.95784553	0.8626	1.026814174	1.2051385	23.3441	113.6701533	0.8281
1973	3	1973.5	107	1.021578823	1.183981726	0.5549	1.051164985	1.493451443	18.0336	109.2173767	0.7284
1973	4	1973.75	108	1.023268351	1.087802646	0.9451	1.068556568	1.683984157	29.0433	142.8330667	0.3531
1974	1	1974	109	1.017083958	1.101647119	0.9286	1.047852698	1.410789107	22.2984	147.77	-0.0641
1974	2	1974.25	110	1.02283803	1.108835593	0.9341	1.05212578	1.267960581	23.7033	123.3430667	-0.4032
1974	3	1974.5	111	1.037872846	1.325748896	0.978	1.076752683	1.777331548	33.5363	126.8905667	-0.218
1974	4	1974.75	112	1.038031759	1.449049688	0.9615	1.088585154	2.073861371	29.2991	137.4500333	-0.115
1975	1	1975	113	1.012184137	1.367449717	0.5934	1.071295171	1.931143179	23.8824	117.6625667	0.1962
1975	2	1975.25	114	0.978098265	1.194406995	1	1.031881862	1.188596093	19.888	108.6055	0.4808
1975	3	1975.5	115	0.946436952	1.024322642	0.967	1.012007092	1.088524937	22.2688	112.0229	0.7298
1975	4	1975.75	116	0.920170214	0.968658291	0.8022	1.003825634	1.260006278	18.7285	136.0592	0.8559
1976	1	1976	117	0.908544143	0.934752773	0.7253	0.996471132	1.074908037	18.6859	102.08995	1.1341
1976	2	1976.25	118	0.888982652	1.003489012	0.7637	0.958915885	0.832927395	16.6676	93.14491667	1.1902
1976	3	1976.5	119	0.880023615	0.978282098	0.8956	0.941353141	0.785349684	16.2291	93.87955667	1.2327
1976	4	1976.75	120	0.884769966	1.03928927	0.7033	0.943154471	0.942776677	16.5078	112.4109067	1.3005
1977	1	1977	121	0.881598232	0.959874307	0.6923	0.934838361	0.780319335	14.9735	96.61925333	0.9765
1977	2	1977.25	122	0.867586429	0.919829314	0.7033	0.931604874	0.748042668	15.2592	113.6140567	0.9181
1977	3	1977.5	123	0.866178495	0.918757998	0.6648	0.938205545	0.728241678	14.5599	101.6205533	1.3995
1977	4	1977.75	124	0.875645186	0.952533698	0.989	0.954777252	0.683662401	16.9947	140.7555667	1.4356
1978	1	1978	125	0.897035359	1.077927527	0.6538	0.967124974	0.762913952	16.2761	138.7028667	1.4584
1978	2	1978.25	126	0.90396576	0.931677484	0.8077	0.982224576	0.682206002	17.7881	111.2455	1.2011
1978	3	1978.5	127	0.91373028	0.967857997	0.8626	1.007494605	0.824731635	17.6968	118.4622333	0.9613
1978	4	1978.75	128	0.930529209	0.983004226	0.6813	1.026449951	0.989787617	22.5683	118.3985	1.0666
1979	1	1979	129	0.947732154	1.128759053	0.9725	1.006153501	0.792093883	16.109	128.1668333	1.0571
1979	2	1979.25	130	0.978322486	1.118565532	0.9835	0.993609716	0.756061106	15.6937	127.3836	0.5519
1979	3	1979.5	131	1.010071032	1.077158083	0.9615	1.004849969	0.712367853	17.4395	130.2705	0.1167
1979	4	1979.75	132	1.06412866	1.229404317	0.9011	1.026128317	1.036665805	18.8511	153.7339333	-0.0976
1980	1	1980	133	1.130000504	1.319363415	0.967	1.03933919	1.632430144	25.1571	119.0076	0.1403
1980	2	1980.25	134	1.180244261	1.456212677	0.9505	1.02383553	1.414199482	20.2114	114.4065	0.4207
1980	3	1980.5	135	1.150672638	1.086107076	0.9945	1.000323172	1.069065775	22.1753	124.8585	0.204
1980	4	1980.75	136	1.136927172	1.061850714	0.9725	0.991061327	1.847909597	23.1278	121.1484333	0.3372
1981	1	1981	137	1.138270098	1.142523689	0.8242	0.980798863	1.513667412	20.3365	121.6207	0.1122
1981	2	1981.25	138	1.126687229	1.179961636	0.5385	0.975163837	1.238818603	17.1934	124.7611	0.1717
1981	3	1981.5	139	1.116376022	1.230389662	0.511	0.9874055	1.404436916	21.778	131.0139667	0.2754
1981	4	1981.75	140	1.101682428	1.255918441	0.5275	0.982477881	1.365033802	19.7163	120.1735333	-0.0416
1982	1	1982	141	1.093416881	1.318084679	0.6209	0.977256846	1.282513284	21.3594	154.8239667	-0.3241
1982	2	1982.25	142	1.074157412	1.260967069	0.5165	0.985265136	1.200565323	17.8211	160.0865	-0.0331
1982	3	1982.5	143	1.049030171	1.23262032	0.9396	1.005908823	1.297613383	26.6929	153.2346	0.1119
1982	4	1982.75	144	1.018206279	1.10726595	0.6868	1.004418217	1.322139548	28.7658	145.4388333	0.57
1983	1	1983	145	0.989879127	1.043230799	0.7363	0.982179248	1.030617699	21.5429	152.8880333	1.0987
1983	2	1983.25	146	0.957641039	0.962141903	0.8736	0.972271428	0.946536502	19.2801	137.9360333	1.2959
1983	3	1983.5	147	0.935612225	0.923647489	0.6978	0.964525867	0.968901174	18.9424	127.3097667	1.5956
1983	4	1983.75	148	0.919938481	0.877731614	0.9286	0.965436428	0.798520034	15.8148	125.1348667	1.7225
1984	1	1984	149	0.92175432	0.942475935	0.978	0.968423544	0.827436147	19.5717	154.2893667	1.6618
1984	2	1984.25	150	0.924251677	0.913453969	0.9176	0.975499646	0.867493074	17.9406	126.7937667	1.4784
1984	3	1984.5	151	0.935172646	1.021706969	0.544	0.984900908	1.024394828	19.7212	130.6168667	1.3199
1984	4	1984.75	152	0.943174796	0.99414014	0.9121	0.968120063	0.861382989	18.3812	147.5219	1.249
1985	1	1985	153	0.946208331	0.971465361	0.9011	0.960862884	0.880414476	16.5204	130.3233667	1.0826
1985	2	1985.25	154	0.942582317	0.999262267	0.511	0.948830805	0.848554304	15.4495	134.5169667	0.9747
1985	3	1985.5	155	0.930516358	0.93829859	0.7967	0.953276408	0.79809914	15.8179	156.3646667	0.8938
1985	4	1985.75	156	0.940906503	0.986858661	0.7692	0.966418663	0.842696178	17.1469	145.2290333	0.915
1986	1	1986	157	0.959660435	0.996584434	0.7637	0.976940793	1.02589957	21.6723	175.0857	0.8497
1986	2	1986.25	158	0.948969403	0.975462499	0.6374	0.990809502	1.072760094	19.5171	154.689	0.8083
1986	3	1986.5	159	0.935238557	0.998840119	0.6758	1.01777287	1.181963626	20.8549	162.9945	0.738
1986	4	1986.75	160	0.933640691	0.956679625	0.6099	1.01911427	0.989400487	19.8558	129.4321	0.7533
1987	1	1987	161	0.938186327	0.954301461	0.544	1.020565141	1.012227775	23.0456	137.6672667	0.8591
1987	2	1987.25	162	0.91919828	0.893709304	0.7527	1.019014173	0.824729134	23.2077	133.1784	0.8755
1987	3	1987.5	163	0.917874794	0.897365071	0.8571	1.058495872	0.893668808	23.7715	102.53412	0.9207
1987	4	1987.75	164	0.930214679	0.963834804	0.8901	1.084903241	1.401267043	44.1545	220.2777667	0.9254
1988	1	1988	165	0.918190654	1.013896401	0.9176	1.017083245	1.017615645	31.9534	148.312	1.0359
1988	2	1988.25	166	0.905632828	0.91705553	0.7308	0.975279588	0.821473217	25.4659	134.0804667	1.0183
1988	3	1988.5	167	0.899011414	0.94793563	0.6099	0.952238059	0.795105072	21.7065	125.7593	1.0014
1988	4	1988.75	168	0.90127524	0.911768307	0.8242	0.940862038	0.740482316	19.552	130.7059333	0.8719
1989	1	1989	169	0.910919363	0.996921964	0.7088	0.938769067	0.731949855	17.7184	106.1311533	0.8294
1989	2	1989.25	170	0.921595933	1.068979667	0.7747	0.942606553	0.768638165	17.1536	128.5913333	0.7955
1989	3	1989.5	171	0.920788767	1.037088204	0.6264	0.953072913	0.837014382	18.6466	121.1927333	0.7786
1989	4	1989.75	172	0.912560378	1.046019119	0.6758	0.966894189	0.903916919	20.6363	131.3442667	0.5889
1990	1	1990	173	0.926514178	1.126654545	0.9231	0.985055291	0.900033228	21.5262	141.6941333	0.3297
1990	2	1990.25	174	0.926250895	1.069232212	0.5879	1.001860925	0.957801798	18.3082	126.4778333	0.1538
1990	3	1990.5	175	0.944246193	1.120817469	0.7967	1.021250203	1.156297799	27.2275	165.3423	0.1371
1990	4	1990.75	176	0.953327991	1.27875485	0.6154	1.009448038	1.207175021	25.3873	178.8728	0.166
1991	1	1991	177	0.948505858	1.229633632	0.5824	0.994527111	1.108725703	21.4546	177.5912333	0.0734
1991	2	1991.25	178	0.917339969	1.042389932	0.7582	0.978707696	0.755699102	17.689	120.2979667	0.1727
1991	3	1991.5	179	0.896896521	1.018436237	0.5604	0.971572803	0.821092591	16.6962	134.7912333	0.3239
1991	4	1991.75	180	0.897172553	1.041884476	0.7692	0.980585953	1.070628699	17.6343	184.9755	0.5963
1992	1	1992	181	0.899806448	0.994790235	0.7802	0.966779764	1.009111263	16.7229	152.2211	0.8152
1992	2	1992.25	182	0.891580831	0.984952075	0.6044	0.946122164	0.884130215	14.7213	130.4404333	0.7453
1992	3	1992.5	183	0.890571779	0.989411024	0.8956	0.934515129	0.926410441	14.6513	164.7383	0.7764
1992	4	1992.75	184	0.891590249	0.940514155	0.6429	0.927293267	0.946437363	14.1467	158.8285	0.7955
1993	1	1993	185	0.879343613	0.930726853	0.8516	0.922703951	1.061507855	13.4531	136.6389333	0.827
1993	2	1993.25	186	0.865798573	0.954888031	0.6813	0.91928354	0.913256255	13.1128	153.2525667	0.8144
1993	3	1993.5	187	0.858874708	0.87818554	0.8791	0.913188433	0.817507748	12.0484	152.657	0.8618
1993	4	1993.75	188	0.864179083	0.86636879	0.5549	0.91530766	0.796103123	11.707	117.5344333	0.804
1994	1	1994	189	0.875007033	0.917784838	0.6044	0.919398499	0.735449553	13.4247	123.3757333	0.9355
1994	2	1994.25	190	0.872835459	0.829903604	0.7308	0.91697721	0.706124432	13.3685	134.0989	0.8794
1994	3	1994.5	191	0.871694561	0.839853336	0.8352	0.916147018	0.677232753	12.4222	111.0161333	0.8351
1994	4	1994.75	192	0.878488822	0.845397331	0.533	0.91433858	0.696014885	14.5761	119.7067267	0.7672
1995	1	1995	193	0.884931013	0.953498979	0.8022	0.90827412	0.764415147	11.7298	141.2267667	0.7281
1995	2	1995.25	194	0.882704144	0.999831761	0.9231	0.907762738	0.816506341	12.9686	106.6953333	0.6315
1995	3	1995.5	195	0.876260958	0.9233829	0.9945	0.913393621	0.779388833	13.2305	104.8115767	0.7847
1995	4	1995.75	196	0.877967899	0.948984272	0.6264	0.918247438	0.789817824	13.28	133.2674	0.7506
1996	1	1996	197	0.891695949	1.020651707	0.5769	0.919735874	0.86679059	17.149	124.2472667	0.8707
1996	2	1996.25	198	0.880146648	0.877929824	0.5055	0.937186605	0.785383799	17.4805	108.5781167	0.9495
1996	3	1996.5	199	0.870511549	0.923488723	0.8846	0.955338901	0.846198664	17.1965	120.3391	1.0402
1996	4	1996.75	200	0.871387157	0.878631625	0.8681	0.958311964	0.951704306	18.7863	102.90916	1.1191
1997	1	1997	201	0.873205632	0.848932256	0.8132	0.968368664	0.939125798	21.7516	116.887	1.1308
1997	2	1997.25	202	0.869115235	0.843035556	0.8407	0.98271151	1.05890139	22.3045	111.8400333	1.0202
1997	3	1997.5	203	0.86800431	0.847485664	0.6703	0.99017911	1.087884959	24.9721	97.66440333	1.0244
1997	4	1997.75	204	0.871429131	0.820925965	0.6978	0.990351942	1.002438492	27.8602	139.5403333	1.0565
1998	1	1998	205	0.873088562	0.840328477	0.5659	0.99842318	0.976342218	21.4549	134.5045	1.1923
1998	2	1998.25	206	0.883564944	0.848278959	0.7802	1.020800397	1.072604363	21.5811	117.3144333	1.1087
1998	3	1998.5	207	0.912492114	0.885978979	0.9341	1.062378238	1.635421917	33.5084	176.4592333	1.0417
1998	4	1998.75	208	0.914897096	0.902440913	0.8462	1.039927229	1.48054748	27.5554	161.6292333	1.1131
1999	1	1999	209	0.909154012	0.844944917	0.7473	1.027555969	1.464516199	27.5044	129.3287	1.2331
1999	2	1999.25	210	0.910135895	0.851922234	0.5495	1.024114747	1.332789496	24.9101	109.48024	1.1425
1999	3	1999.5	211	0.911766977	0.842901225	0.9121	1.027055943	1.30324295	24.8132	126.4350667	1.2312
1999	4	1999.75	212	0.924002861	0.830647988	0.9451	1.047048001	1.929105154	23.42	110.1443133	0.998
2000	1	2000	213	0.938607263	0.828347939	0.7582	1.070586007	3.011966727	25.8142	115.76368	0.9556
2000	2	2000.25	214	0.95935017	0.915062313	0.5495	1.065110691	2.688255621	26.8144	142.9784	0.7971
2000	3	2000.5	215	0.956134252	0.892382323	0.8901	1.057450533	2.325875938	22.5652	113.0694133	0.71
2000	4	2000.75	216	0.960113344	1.015884753	0.6319	1.060812673	2.334566303	29.3233	181.6565	0.4165
2001	1	2001	217	0.963606837	1.035882584	0.7418	1.055619586	2.207954907	29.5847	171.1014333	0.4295
2001	2	2001.25	218	0.952812311	1.057858064	0.8681	1.043036004	1.595224904	25.8951	149.9073	0.2757
2001	3	2001.5	219	0.96021923	1.075632984	0.7253	1.052034462	1.650889508	32.3462	194.2915	0.3394
2001	4	2001.75	220	0.95513282	1.10351766	0.989	1.043168967	1.68684191	26.9131	231.8847	0.3263
2002	1	2002	221	0.925462223	0.958291261	0.5604	1.031392625	1.458778323	22.7995	156.6940333	0.3764
2002	2	2002.25	222	0.906635641	0.931381436	0.6484	1.04205535	1.547005005	27.02	135.2575333	0.3408
2002	3	2002.5	223	0.904449236	0.982913748	0.5055	1.05538139	1.828849968	39.8915	171.5422667	0.4936
2002	4	2002.75	224	0.912109861	0.998068996	0.5165	1.033974563	1.796145604	33.0418	179.8259333	0.6806
2003	1	2003	225	0.928403528	1.014141139	0.5879	1.006532262	1.370936227	33.7087	223.1826	0.6864
2003	2	2003.25	226	0.939720991	1.017275492	0.956	0.993505722	1.317644732	22.8429	165.5351667	0.711
2003	3	2003.5	227	0.92450518	0.924265614	0.7473	0.970884098	1.028395052	20.5873	133.2623667	0.741
2003	4	2003.75	228	0.907838948	0.879255468	0.5714	0.956574949	0.935034919	17.2142	118.5295333	0.8426
2004	1	2004	229	0.898215395	0.937306361	0.8352	0.938583456	0.843928714	16.4449	124.9036667	0.9083
2004	2	2004.25	230	0.908283997	0.954423429	0.5989	0.936463234	0.869748985	16.2456	124.7675667	0.9366
2004	3	2004.5	231	0.904530979	0.945259053	0.5989	0.938043129	0.848788661	15.3479	132.5493333	0.7599
2004	4	2004.75	232	0.91335502	0.967867553	0.522	0.938048205	0.801391387	13.8642	128.17617	0.7401
2005	1	2005	233	0.91759699	0.940186667	0.5934	0.935245913	0.823929242	12.742	93.6387	0.7135
2005	2	2005.25	234	0.924926187	0.981739573	0.6484	0.933369816	0.805980378	12.2103	111.9752	0.7985
2005	3	2005.5	235	0.946208337	0.986938666	0.8297	0.925270742	0.697396376	12.1664	119.6742833	0.7453
2005	4	2005.75	236	0.955724841	0.98706087	0.7143	0.921188414	0.803886925	11.8896	104.4722267	0.6257
2006	1	2006	237	0.937654904	0.938262092	0.5	0.916224907	0.809689376	11.4803	107.44528	0.5879
2006	2	2006.25	238	0.930356317	0.953726451	0.7747	0.912691558	0.764195368	14.1776	122.2726333	0.57
2006	3	2006.5	239	0.929955836	1.009232371	0.7418	0.907110587	0.721634875	12.1674	121.8280433	0.5749
2006	4	2006.75	240	0.930806951	1.014769844	0.8736	0.901946558	0.625193818	10.5724	94.32765	0.6274
2007	1	2007	241	0.927858276	0.987008269	0.7198	0.904701639	0.656148665	12.4443	108.2046467	0.5163
2007	2	2007.25	242	0.925556545	1.009911725	0.8187	0.92458736	0.683003601	13.9644	101.9196267	0.4389
2007	3	2007.5	243	0.951575449	1.043273955	0.5824	0.949924662	0.98180727	21.8773	122.3053167	0.4867
2007	4	2007.75	244	0.981176708	1.103434812	0.5659	0.979016856	1.079987109	24.4435	143.9671667	0.2858
];

        